<?php defined('SYSPATH') OR die('No direct access allowed.');

class Letsbid_Controller extends Website_Controller 
{
	public $template = 'template/template';
	public function __construct()
	{
		parent::__construct();
		$this->session = Session::instance();
		$this->model = new Users_Model();
		
	}
	
	public function index()
	{	
		  $this->template->title ="Letsbid";
		  if($this->userid != '')
		  {
			  url::redirect($this->docroot.'users/profile');
		  }
		  else
		  {
			  url::redirect($this->docroot.'letsbid/testimonials');
		  }
	}
	
	/* start aboutus page functionality */
	public function about()
	{
		$this->template->title ="About";
		$this->template->content = new View('about');
		
	}
	/* end aboutus page functionality */
	
	/* start terms &conditions page functionality */
	public function terms_conditions()
	{
		$this->template->title ="Terms And Conditions";
		$this->template->content = new View('terms_conditions');
		
	}
	/* end terms &conditions functionality */
	
	/* start contact page functionality */
	public function contact()
	{
		$this->template->title ="Contact";
		if($_POST)
		{
			$cid = $this->input->post('cid');
			$name = $this->input->post('name');
			$email = $this->input->post('email');
			$message = $this->input->post('message');
			
				if (Captcha::valid($this->input->post('captcha_response')))
				{
				if($name!='' && $email!='' && $message!='')
				{
					$this->template->contact = $this->model->contact($cid,$name,$email,$message);
				}
				else
				{
					$this->session->set('Emsg','Please Enter All the Fields.');
					url::redirect($this->docroot.'letsbid/contact');
				}
				}
				else
				{
					$this->session->set('Emsg','enter the correct verfication code.');
					url::redirect($this->docroot.'letsbid/contact');
				}
					
		}
		
		$this->template->content = new View('/contact');
		
	}
	/* end contact page functionality */
	
	/* start display news in news home page  */
	public function news()
	{
		$this->template->title ="News";
		$page_no = $this->uri->last_segment(); 
		if($page_no == 0 || $page_no == 'news')
		$page_no = 1;
		$offset = 4*($page_no-1);
		$this->template->news = $this->model->news($offset,4);
		$this->total= $this->model->count_news();
			$this->template->pagination = new Pagination(array
			 (
			 'base_url'       => '/letsbid',
			 'uri_segment'    =>'news',
			 'items_per_page' => 4,
			 'total_items'    => $this->total,
			 'style'         => 'digg' )
			 );
		
		$this->template->content = new View('/menu_news');
				
	}
	/* end display news in news home page  */
	
	/* start display news in detailed page  */
	public function detail_news($NewsID = '')
	{
		$this->template->title ="News";
		$this->template->news = $this->model->detail_news($NewsID);
		$this->template->content = new View('/detail_news');
	}
	/* end display news in detailed page  */
	
	/* start show_testimonial functionality in useraccount  */
	public function show_testimonials()
	{
		$this->template->title ="Testimonials";
		if($this->userid != ''&& $this->usertype != -1)
		{
			$this->template->show_testimonials = $this->model->show_testimonials($this->userid);
		}
		else
		{
			$this->template->show_testimonials = $this->model->show_testimonials();
		}
		$this->template->content = new View('/show_testimonials');	
	}
	/* end show_testimonial functionality in useraccount  */
	
	/* start footer_testimonial functionality in footer link  */
	public function testimonial($TestimonialID=' ')
	{
		$this->template->title ="Testimonials";
		$this->template->footer_testimonials = $this->model->footer_testimonials($TestimonialID);
		$this->template->content = new View('/footer_testimonials');	
	}

	/* end footer_testimonial functionality in footer link  */
	
	
	/* start testimonial functionality in footer */
	public function testimonials()
	{
		$this->template->title ="My Testimonials";
		if($this->userid != '')
		{
		$this->template->testimonials = $this->model->testimonials($this->userid);
		}
		$this->template->content = new View('/users/testimonials');
	}
	/* end testimonial functionality in footer */
	
	 public function watchlist()
	 {
		 if($this->userid != '')
		 {
			 $this->template->title = 'My Watchlist';
			 $this->template->watchlist = $this->model->watchlist($this->userid);
			 $this->template->content = new View('/users/watchlist');
		 }
		 else
		 {
			 url::redirect($this->docroot.'login');
		 }
	 }
	 
	 public function watchlist_delete($ProductID = '')
	 {
		 if($this->userid != '')
		 {
			 $this->template->title = 'Watchlist Delete';
			 $this->template->watchlist_delete = $this->model->watchlist_delete($ProductID,$this->userid);
			 if($this->template->watchlist_delete == 1)
			 {
				 $this->session->set('Msg','This auction deleted from watchlist');
				 url::redirect($this->docroot.'letsbid/watchlist');
			 }
			 elseif($this->template->watchlist_delete == -1)
			 {
				 $this->session->set('Emsg','This auction can not delete now, Please try later');
				 url::redirect($this->docroot.'letsbid/watchlist');
			 }
		 }
		 else
		 {
			 url::redirect($this->docroot.'login');
		 }
	 }
	
}
?>
